/* DirectFB presentation app
 *
 * Copyright (C) 2001  convergence integrated media
 * Authors: Sven Neumann <sven@convergence.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef __CONTEXT_H__
#define __CONTEXT_H__

#define TYPE_CONTEXT            (context_get_type ())
#define CONTEXT(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_CONTEXT, Context))
#define IS_CONTEXT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_CONTEXT))
#define CONTEXT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_CONTEXT, ContextClass))
#define IS_CONTEXT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_CONTEXT))

typedef struct _ContextClass  ContextClass;

struct _Context
{
  GObject           parent_instance;

  IDirectFBSurface *surface;
  gint              w;
  gint              h;

  GSList  *surfaces;
  GSList  *fgcolors;
  GSList  *bgcolors;
  GSList  *faces;
  GSList  *bgimages;
  GSList  *bullets;
  GSList  *sizes;
  GSList  *widths;
  GSList  *heights;
  GSList  *xs;
  GSList  *ys;
  GSList  *effects;
};

struct _ContextClass
{
  GObjectClass     parent_class;
};


GType        context_get_type     (void);
Context    * context_new          (void);

void         context_push         (Context          *context, 
                                   Item             *item);
void         context_pop          (Context          *context, 
                                   Item             *item);

void         context_push_surface (Context          *context, 
                                   IDirectFBSurface *surface);
void         context_pop_surface  (Context          *context);

guchar     * context_get_fgcolor  (Context          *context);
guchar     * context_get_bgcolor  (Context          *context);
gchar      * context_get_face     (Context          *context);
gchar      * context_get_bgimage  (Context          *context);
gchar      * context_get_bullet   (Context          *context);
gint         context_get_size     (Context          *context);
void         context_get_rect     (Context          *context, 
                                   DFBRectangle     *rect);
EffectFlags  context_get_effect   (Context          *context);


#endif
