/* DirectFB presentation app
 *
 * Copyright (C) 2001  convergence integrated media
 * Authors: Sven Neumann <sven@convergence.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#include <glib-object.h>

#include "apptypes.h"

#include "listitem.h"


static void      listitem_class_init (ListitemClass *klass);
static void      listitem_finalize   (GObject       *object);


static GObjectClass *parent_class = NULL;


GType
listitem_get_type (void)
{
  static GType listitem_type = 0;

  if (!listitem_type)
    {
      static const GTypeInfo listitem_info =
      {
        sizeof (ListitemClass),
	(GBaseInitFunc) NULL,
	(GBaseFinalizeFunc) NULL,
	(GClassInitFunc) listitem_class_init,
	NULL,		/* class_finalize */
	NULL,		/* class_data     */
	sizeof (Listitem),
	0,              /* n_preallocs    */
	NULL,           /* instance_init  */
      };

      listitem_type = 
        g_type_register_static (TYPE_TEXT, "listitem", &listitem_info, 0);
    }
  
  return listitem_type;
}

static void
listitem_class_init (ListitemClass *klass)
{
  GObjectClass *object_class;

  object_class = G_OBJECT_CLASS (klass);
  parent_class = g_type_class_peek_parent (klass);

  object_class->finalize = listitem_finalize;
}

static void
listitem_finalize (GObject *object)
{
  if (parent_class->finalize)
    parent_class->finalize (object);
}


