/* DirectFB presentation app
 *
 * Copyright (C) 2001  convergence integrated media
 * Authors: Sven Neumann <sven@convergence.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef __SLIDE_VIEW_H__
#define __SLIDE_VIEW_H__

#define TYPE_SLIDE_VIEW            (slide_view_get_type ())
#define SLIDE_VIEW(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_SLIDE_VIEW, SlideView))
#define IS_SLIDE_VIEW(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_SLIDE_VIEW))
#define SLIDE_VIEW_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_SLIDE_VIEW, SlideViewClass))
#define IS_SLIDE_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_SLIDE_VIEW))


typedef enum
{
  FORWARD,
  BACKWARD
} ViewDirection;


typedef struct _SlideViewClass  SlideViewClass;

struct _SlideView
{
  GObject           parent_instance;

  Slide            *slide;

  IDirectFBWindow  *window;
  IDirectFBSurface *subsurface;
  gint              width;
  gint              height;
  EffectFlags       effect;
};

struct _SlideViewClass
{
  GObjectClass      parent_class;
};


GType       slide_view_get_type (void);
SlideView * slide_view_new      (Slide         *slide,
                                 Context       *context);
void        slide_view_switch   (SlideView     *from,
                                 SlideView     *to,
                                 ViewDirection  dir);

#endif
