/* DirectFB presentation app
 *
 * Copyright (C) 2001  convergence integrated media
 * Authors: Sven Neumann <sven@convergence.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef __SLIDES_VIEW_H__
#define __SLIDES_VIEW_H__

#define TYPE_SLIDES_VIEW            (slides_view_get_type ())
#define SLIDES_VIEW(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_SLIDES_VIEW, SlidesView))
#define IS_SLIDES_VIEW(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_SLIDES_VIEW))
#define SLIDES_VIEW_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_SLIDES_VIEW, SlidesViewClass))
#define IS_SLIDES_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_SLIDES_VIEW))


typedef struct _SlidesViewClass  SlidesViewClass;

struct _SlidesView
{
  GObject           parent_instance;

  Slides           *slides;
  Context          *context;

  GList            *current_slide;

  SlideView        *current;
  SlideView        *next;
  SlideView        *previous;
};

struct _SlidesViewClass
{
  GObjectClass      parent_class;
};


GType        slides_view_get_type          (void);
SlidesView * slides_view_new               (Slides     *slides);
gboolean     slides_view_first_slide       (SlidesView *view);
gboolean     slides_view_next_slide        (SlidesView *view);
gboolean     slides_view_previous_slide    (SlidesView *view);
Slide      * slides_view_get_current_slide (SlidesView *view);

#endif
