/* DirectFB presentation app
 *
 * Copyright (C) 2001  convergence integrated media
 * Authors: Sven Neumann <sven@convergence.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef __SLIDES_H__
#define __SLIDES_H__

#include "item.h"

#define TYPE_SLIDES            (slides_get_type ())
#define SLIDES(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_SLIDES, Slides))
#define IS_SLIDES(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_SLIDES))
#define SLIDES_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_SLIDES, SlidesClass))
#define IS_SLIDES_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_SLIDES))


typedef struct _SlidesClass  SlidesClass;

struct _Slides
{
  Item   parent_instance;

  GList *slides;
  gint   screen_width;
  gint   screen_height;
  gint   bpp;
};

struct _SlidesClass
{
  ItemClass parent_class;
};


GType    slides_get_type     (void);
void     slides_append_slide (Slides *slides,
                              Slide  *slide);

#endif
