/* DirectFB presentation app
 *
 * Copyright (C) 2001  convergence integrated media
 * Authors: Sven Neumann <sven@convergence.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#include <glib-object.h>

#include "apptypes.h"

#include "text.h"


static void   text_class_init (TextClass   *klass);
static void   text_finalize   (GObject     *object);


static GObjectClass *parent_class = NULL;


GType
text_get_type (void)
{
  static GType text_type = 0;

  if (!text_type)
    {
      static const GTypeInfo text_info =
      {
        sizeof (TextClass),
	(GBaseInitFunc) NULL,
	(GBaseFinalizeFunc) NULL,
	(GClassInitFunc) text_class_init,
	NULL,		/* class_finalize */
	NULL,		/* class_data     */
	sizeof (Text),
	0,              /* n_preallocs    */
	NULL,           /* instance_init  */
      };

      text_type = 
        g_type_register_static (TYPE_ITEM, "text", &text_info, 0);
    }
  
  return text_type;
}

static void
text_class_init (TextClass *klass)
{
  GObjectClass *object_class;

  object_class = G_OBJECT_CLASS (klass);
  parent_class = g_type_class_peek_parent (klass);

  object_class->finalize = text_finalize;
}

static void
text_finalize (GObject *object)
{
  if (parent_class->finalize)
    parent_class->finalize (object);
}


