/* DirectFB presentation app
 *
 * Copyright (C) 2001  convergence integrated media
 * Authors: Sven Neumann <sven@convergence.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef __VIDEO_H__
#define __VIDEO_H__

#include "image.h"

#define TYPE_VIDEO            (video_get_type ())
#define VIDEO(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_VIDEO, Video))
#define IS_VIDEO(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_VIDEO))
#define VIDEO_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_VIDEO, VideoClass))
#define IS_VIDEO_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_VIDEO))


typedef struct _VideoClass  VideoClass;

struct _Video
{
  Image             parent_instance;
  
  IDirectFBSurface *dest_surface;
};

struct _VideoClass
{
  ImageClass parent_class;
};


GType   video_get_type (void);
Video * video_new      (void);
void    video_play     (Video *video);
void    video_stop     (Video *video);

#endif
